/* Default Design */
body {
    background-color: #47aee6;
    height: 100vh;
    width: 100vw;
    display: flex;
    justify-content: center;
    align-items: center;
}

.container {
    width: 40%;
}

.table-header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 20px;
}

.table-header span {
    color: white;
    font-size: 40px;
    font-weight: bold;
}

.table-header button {
    background-color: #f49c63;
    padding: 15px 20px;
    border: none;
    border-radius: 30px;
    color: white;
    font-size: 17px;
}

#user-list-container {
    width: 100%;
}

.table-footer {
    width: 100%;
    margin-top: 15px;
}

.table-footer-title {
    color: white;
    font-size: 20px;
    font-weight: 500;
    display: flex;
    justify-content: center;
}

#total-users {
    padding-left: 7px;
    padding-right: 7px;
}

.user-item-container {
    display: flex;
    flex-direction: row;
    width: 100%;
    border-radius: 14px;
    overflow: hidden;
    margin-bottom: 10px;
    box-shadow: 0px 4px 0px #3582ac;
}

.user-item-container .left-container {
    background-color: #6cce8d;
    padding: 20px 10px;
}

.user-item-container .left-container span {
    font-size: 35px;
    color: white;
    font-weight: bolder;
}

.user-item-container .right-container {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.user-container {
    flex-grow: 1;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    font-size: 23px;
    padding-left: 10px;
}

.user-title {
    background-color: #d3e6f8;
}

.user-location {
    background-color: #fefffe;
}

.text-bold {
    font-weight: bold;
    padding-right: 7px;
}

/* For Desktop View */
@media screen and (min-width: 1024px) {
    .container {
        width: 40%;
    }
}

/* For Tablet View */
@media screen and (min-device-width: 768px) and (max-device-width: 1024px) {
    .container {
        width: 60%;
    }
}

/* For Mobile Portrait View */
@media screen and (max-device-width: 480px) and (orientation: portrait) {
    .container {
        width: 80%;
    }
}

/* For Mobile Landscape View */
@media screen and (max-device-width: 640px) and (orientation: landscape) {
    .container {
        width: 60%;
    }
}